#ifndef __GE_MEM_INPUT_H__
#define __GE_MEM_INPUT_H__ 

#include <main.h>
#include <gpio.h>
#include <stdint.h>
#include "../ge_interface.h"
int Button4_4_Scan(void);

#define delay_ms HAL_Delay
#define GPIO_ReadInputDataBit HAL_GPIO_ReadPin
#define GPIO_SetBits(port, pin) HAL_GPIO_WritePin(port, pin, 1)
#define GPIO_ResetBits(port, pin) HAL_GPIO_WritePin(port, pin, 0)
#ifdef __GE_INPUT_IMPLIMEMT__

void mem_input_btn_func(ge_input_t* ctx) {
    uint16_t code = Button4_4_Scan();
    ge_input_event_t event;
    event.num = GE_ITYPE_KEY_L1H1 + code;
    ctx->func_send(ctx, event);
}

#endif

#endif
